<!-- 弹窗提示去上传简历 -->
<template>
  <v-dialog v-model="show" max-width="400" persistent>
    <v-card :text="$t('resume.resumeYetSubmit')" :title="$t('common.confirmTitle')">
      <template #prepend>
        <v-icon color="warning">mdi-alert-circle-outline</v-icon>
      </template>
      <template v-slot:actions>
        <v-spacer></v-spacer>
        <v-btn @click="emit('update:modelValue', false)">{{ $t('common.cancel') }}</v-btn>
        <v-btn color="success" @click="emit('handleToUpload')">{{ $t('common.toUpload') }}</v-btn>
      </template>
    </v-card>
  </v-dialog>
</template>

<script setup>
import { watch, computed } from 'vue'
defineOptions({name: 'position-details-promptToUpload'})

const props = defineProps({ modelValue: [Boolean, Number] })
const emit = defineEmits(['update:modelValue', 'handleToUpload'])
const show = computed(() => {
  return props.modelValue
})

watch(() => show.value, (newVal) => {
  emit('update:modelValue', newVal)
})

</script>
<style lang="scss" scoped>
</style>
